hpp-corbaserver: hpp::pinocchio_impl::DeviceServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::pinocchio_impl::DeviceServant< _Base, _Storage > Class Template Reference

`#include <hpp/pinocchio_idl/robots-fwd.hh>`

Inheritance diagram for hpp::pinocchio_impl::DeviceServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::pinocchio_impl::DeviceServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::pinocchio::Device | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::Device, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::pinocchio_idl::Device, HppBase)
| DeviceServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~DeviceServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
char * | name ()
hpp::floatSeq * | neutralConfiguration ()
hpp::size_type | configSize ()
hpp::size_type | numberDof ()
void | integrate (const hpp::floatSeq &config_in, const hpp::floatSeq &velocity, hpp::floatSeq_out result)
void | difference (const hpp::floatSeq &q1, const hpp::floatSeq &q2, hpp::floatSeq_out result)
void | interpolate (const hpp::floatSeq &q1, const hpp::floatSeq &q2, ::CORBA::Float u, hpp::floatSeq_out result)
void | saturate (const hpp::floatSeq &qin, hpp::floatSeq_out qout, hpp::boolSeq_out saturation)
void | replaceGeometryByConvexHull (const hpp::Names_t &geometryNames)
hpp::floatSeq * | getCurrentConfiguration ()
::CORBA::Boolean | setCurrentConfiguration (const hpp::floatSeq &configuration)
hpp::floatSeq * | getCurrentVelocity ()
::CORBA::Boolean | setCurrentVelocity (const hpp::floatSeq &velocity)
hpp::floatSeq * | getCurrentAcceleration ()
::CORBA::Boolean | setCurrentAcceleration (const hpp::floatSeq &acceleration)
::CORBA::Short | computationFlag ()
void | controlComputation (::CORBA::Short flag)
void | computeForwardKinematics (::CORBA::Short computationFlag)
void | computeFramesForwardKinematics ()
void | updateGeometryPlacements ()
hpp::frame_index | getFrameByName (const char *name)
hpp::Transform__slice * | getFramePosition (hpp::frame_index frame_id)
hpp::floatSeqSeq * | getFrameJacobian (hpp::frame_index frame_id)
void | removeJoints (const hpp::Names_t &joints, const hpp::floatSeq &refConfig)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::Device, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::Device, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::pinocchio::Device, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::pinocchio::Device hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ DeviceServant()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::DeviceServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~DeviceServant()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::~DeviceServant
| virtual

## Member Function Documentation

## ◆ computationFlag()

template<typename _Base , typename _Storage >

CORBA::Short hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::computationFlag

## ◆ computeForwardKinematics()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::computeForwardKinematics | ( | ::CORBA::Short | computationFlag | ) |

## ◆ computeFramesForwardKinematics()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::computeFramesForwardKinematics

## ◆ configSize()

template<typename _Base , typename _Storage >

hpp::size_type hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::configSize

## ◆ controlComputation()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::controlComputation | ( | ::CORBA::Short | flag | ) |

## ◆ deleteIfExpired()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::deleteIfExpired

## ◆ deleteThis()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::deleteThis

## ◆ difference()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::difference | ( | const hpp::floatSeq & | q1,
|  | const hpp::floatSeq & | q2,
|  | hpp::floatSeq_out | result
| ) |  |

## ◆ getCurrentAcceleration()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::getCurrentAcceleration

## ◆ getCurrentConfiguration()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::getCurrentConfiguration

## ◆ getCurrentVelocity()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::getCurrentVelocity

## ◆ getFrameByName()

template<typename _Base , typename _Storage >

hpp::frame_index hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::getFrameByName | ( | const char * | name | ) |

## ◆ getFrameJacobian()

template<typename _Base , typename _Storage >

hpp::floatSeqSeq * hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::getFrameJacobian | ( | hpp::frame_index | frame_id | ) |

## ◆ getFramePosition()

template<typename _Base , typename _Storage >

hpp::Transform__slice * hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::getFramePosition | ( | hpp::frame_index | frame_id | ) |

## ◆ integrate()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::integrate | ( | const hpp::floatSeq & | config_in,
|  | const hpp::floatSeq & | velocity,
|  | hpp::floatSeq_out | result
| ) |  |

## ◆ interpolate()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::interpolate | ( | const hpp::floatSeq & | q1,
|  | const hpp::floatSeq & | q2,
|  | ::CORBA::Float | u,
|  | hpp::floatSeq_out | result
| ) |  |

## ◆ name()

template<typename _Base , typename _Storage >

char * hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::name

## ◆ neutralConfiguration()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::neutralConfiguration

## ◆ numberDof()

template<typename _Base , typename _Storage >

hpp::size_type hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::numberDof

## ◆ persistantStorage()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ removeJoints()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::removeJoints | ( | const hpp::Names_t & | joints,
|  | const hpp::floatSeq & | refConfig
| ) |  |

## ◆ replaceGeometryByConvexHull()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::replaceGeometryByConvexHull | ( | const hpp::Names_t & | geometryNames | ) |

## ◆ saturate()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::saturate | ( | const hpp::floatSeq & | qin,
|  | hpp::floatSeq_out | qout,
|  | hpp::boolSeq_out | saturation
| ) |  |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::pinocchio_idl::Device | ,
|  | HppBase |
| ) |  |

## ◆ setCurrentAcceleration()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::setCurrentAcceleration | ( | const hpp::floatSeq & | acceleration | ) |

## ◆ setCurrentConfiguration()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::setCurrentConfiguration | ( | const hpp::floatSeq & | configuration | ) |

## ◆ setCurrentVelocity()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::setCurrentVelocity | ( | const hpp::floatSeq & | velocity | ) |

## ◆ updateGeometryPlacements()

template<typename _Base , typename _Storage >

void hpp::pinocchio_impl::DeviceServant< _Base, _Storage >::updateGeometryPlacements

The documentation for this class was generated from the following files:

- src/hpp/pinocchio_idl/robots-fwd.hh
- src/hpp/pinocchio_idl/robots.hh